Nanananananananana.. Pat Man!

    glesys-api

    6.2.0 • Public • Published

    glesys-api

    npm build Coverage Status

    A Node.js wrapper for the GleSYS API.

    Installation

    Note: Node 14.15.0 (LTS) or later is required.

    npm install glesys-api

    Usage

    import GleSYSAPI from 'glesys-api';
    
    const glesys = new GleSYSAPI({
        apiKey: 'key',
        apiUser: 'user',
    });
    
    try {
        const { body } = await glesys.api.serviceInfo();
    
        console.log(body)
    } catch (e) {
        console.error(e);
    }
    
    glesys.email.createAccount({
        emailaccount: 'example@example.com',
        password: 'password',
    });

    Available methods

    account

    api

    archive

    country

    customer

    domain

    email

    fileStorage

    invoice

    ip

    loadBalancer

    network

    networkAdapter

    objectStorage

    paymentCard

    project

    server

    sshKey

    transaction

    user

    vpn

    For more information about the GleSYS API, available arguments etc., please see the GleSYS API documentation.

    Keywords

    Install

    npm i glesys-api

    DownloadsWeekly Downloads

    3

    Version

    6.2.0

    License

    MIT

    Unpacked Size

    55.1 kB

    Total Files

    26

    Last publish

    Collaborators

    • avatar
    • avatar